tbb::flow::interface11::join_node< OutputTuple, queueing > Class Template Reference

`#include <flow_graph.h>`

Inheritance diagram for tbb::flow::interface11::join_node< OutputTuple, queueing >:
Collaboration diagram for tbb::flow::interface11::join_node< OutputTuple, queueing >:

## Public Types

typedef OutputTuple | output_type
typedef unfolded_type::input_ports_type | input_ports_type
Public Types inherited from internal::unfolded_join_node< tbb::flow::tuple_size< OutputTuple >::value, queueing_port, OutputTuple, queueing >
typedef wrap_tuple_elements< N, queueing_port, OutputTuple >::type | input_ports_type
typedef OutputTuple | output_type
Public Types inherited from internal::join_node_base< JP, InputTuple, OutputTuple >
typedef OutputTuple | output_type
typedef sender< output_type >::successor_type | successor_type
typedef join_node_FE< JP, InputTuple, OutputTuple > | input_ports_type

## Public Member Functions

__TBB_NOINLINE_SYM | join_node (graph &g)
__TBB_NOINLINE_SYM | join_node (const join_node &other)
Public Member Functions inherited from internal::unfolded_join_node< tbb::flow::tuple_size< OutputTuple >::value, queueing_port, OutputTuple, queueing >
| unfolded_join_node (graph &g)
| unfolded_join_node (const unfolded_join_node &other)
Public Member Functions inherited from internal::join_node_base< JP, InputTuple, OutputTuple >
| join_node_base (graph &g)
| join_node_base (const join_node_base &other)
template<typename FunctionTuple >
| join_node_base (graph &g, FunctionTuple f)
bool | register_successor (successor_type &r) __TBB_override
bool | remove_successor (successor_type &r) __TBB_override
bool | try_get (output_type &v) __TBB_override

## Private Types

typedef internal::unfolded_join_node< N, queueing_port, OutputTuple, queueing > | unfolded_type

## Static Private Attributes

static const int | N = tbb::flow::tuple_size<OutputTuple>::value

## Additional Inherited Members

Protected Member Functions inherited from internal::join_node_base< JP, InputTuple, OutputTuple >
void | reset_node (reset_flags f) __TBB_override

## Detailed Description

### template<typename OutputTuple>
class tbb::flow::interface11::join_node< OutputTuple, queueing >

Definition at line 2939 of file flow_graph.h.

## Member Typedef Documentation

## input_ports_type

template<typename OutputTuple >

typedef unfolded_type::input_ports_type tbb::flow::interface11::join_node< OutputTuple, queueing >::input_ports_type

Definition at line 2945 of file flow_graph.h.

## output_type

template<typename OutputTuple >

typedef OutputTuple tbb::flow::interface11::join_node< OutputTuple, queueing >::output_type

Definition at line 2944 of file flow_graph.h.

## unfolded_type

template<typename OutputTuple >

typedef internal::unfolded_join_node<N, queueing_port, OutputTuple, queueing> tbb::flow::interface11::join_node< OutputTuple, queueing >::unfolded_type

private

Definition at line 2942 of file flow_graph.h.

## Constructor & Destructor Documentation

## join_node() [1/2]

template<typename OutputTuple >

__TBB_NOINLINE_SYM tbb::flow::interface11::join_node< OutputTuple, queueing >::join_node | ( | graph & | g | ) |

inline explicit

Definition at line 2946 of file flow_graph.h.

: unfolded_type(g) {
tbb::internal::fgt_multiinput_node<N>( CODEPTR(), tbb::internal::FLOW_JOIN_NODE_QUEUEING, &this->my_graph,
this->input_ports(), static_cast< sender< output_type > *>(this) );
}

References CODEPTR.

## join_node() [2/2]

template<typename OutputTuple >

__TBB_NOINLINE_SYM tbb::flow::interface11::join_node< OutputTuple, queueing >::join_node | ( | const join_node< OutputTuple, queueing > & | other | ) |

inline

Definition at line 2958 of file flow_graph.h.

: unfolded_type(other) {
tbb::internal::fgt_multiinput_node<N>( CODEPTR(), tbb::internal::FLOW_JOIN_NODE_QUEUEING, &this->my_graph,
this->input_ports(), static_cast< sender< output_type > *>(this) );
}

References CODEPTR.

## Member Data Documentation

## N

template<typename OutputTuple >

const int tbb::flow::interface11::join_node< OutputTuple, queueing >::N = tbb::flow::tuple_size<OutputTuple>::value

static private

Definition at line 2941 of file flow_graph.h.

The documentation for this class was generated from the following file:

- flow_graph.h

tbb::flow::interface11::join_node< OutputTuple, queueing >::unfolded_type
internal::unfolded_join_node< N, queueing_port, OutputTuple, queueing > unfolded_type
Definition: flow_graph.h:2942
CODEPTR
#define CODEPTR()
Definition: _flow_graph_trace_impl.h:297

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.